<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	 xmlns:p="http://primefaces.org/ui"
	
	xmlns:c="http://java.sun.com/jsp/jstl/core"
	xmlns:b="http://bootsfaces.net/ui">
		<html>
	  <h:head>  
<link type="text/css" href="assets/libs/bootstrap/css/bootstrap.css" rel="stylesheet"/>
    </h:head>
	<body>
		<div id="Menu">
		<ui:include src="/HomeHRManager.xhtml" />
		<div class="row">
		 <div class="col-lg-3"></div>
		
		 <div class="col-md-offset-3">
		<center><h1><STRONG> Absences HR</STRONG></h1></center>
		   <ui:fragment  >
<div class="row">
					<div class="col-md-12">
						<div class="widget">
							<div class="widget-header transparent">
								<h2><strong>Absences</strong></h2>
								<div class="additional-btn">
									<a href="#" class="hidden reload"><i class="icon-ccw-1"></i></a>
									<a href="#" class="widget-toggle"><i class="icon-down-open-2"></i></a>
									<a href="#" class="widget-close"><i class="icon-cancel-3"></i></a>
								</div>
							</div>
							<div class="widget-content">
								<div class="data-table-toolbar">
								
			
									<div class="row">
										<div class="col-md-4">
										
											
											<h:outputText value="Date of Absences : " />
											<h:form>
											<p:calendar id="german" event="change" value="#{absenceBean.dd}" />
											<h:outputText value="&#160;" />
											<h:commandButton styleClass="btn btn-success" class="btn btn-yellow-1" action="#{absenceBean.filter3()}" value="Search" ></h:commandButton>
									
											</h:form>
										</div>
										<div class="col-md-8">
											<div class="toolbar-btn-action">
											<h:form>
											
												<h:commandLink action="HrManagerCharts" value="Charts " styleClass="btn btn-warning"><i class="fa fa-bar-chart"></i></h:commandLink>
											   
												<h:outputText value="&#160;" /> 
												<h:commandLink action="#{absenceBean.updatePageHr()}" value="Update " styleClass="btn btn-flickr"><i class="fa fa-refresh"></i></h:commandLink>
												</h:form>
											</div>
										</div>
									</div>
								</div>
									
								<div class="table-responsive">
								<h:form>
		<h:dataTable value="#{absenceBean.absencesHr}" class="table table-hover table-striped" var="e" 
				>
				
				<h:column id="c0">
					<f:facet name="header">
						<h:outputText value="Employee" />
					</f:facet>
					<h:outputText value="#{e.employee.familyName}" />
					<h:outputText value="#{e.employee.name}" />
					
				</h:column>					
										
				<h:column id="c1">
					<f:facet name="header">
						<h:outputText value="date From" />
					</f:facet>
					<h:outputText value="#{e.fromDate}" />
					
				</h:column>
				<h:column id="c2">
					<f:facet name="header">
						<h:outputText value="Date To" />
					</f:facet>
					<h:outputText value="#{e.toDate}" />
					
				</h:column>
				
				<h:column id="c3">
					<f:facet name="header">
						<h:outputText value="Justifed"  />
					</f:facet>
					 
					<h:outputText value="Justifed" class="label label-success" rendered="#{e.isJustified()}" />
					<h:outputText value="No Justified" class="label label-danger" rendered="#{!e.isJustified()}" />
				</h:column>
				<h:column id="c5">
					<f:facet name="header">
						<h:outputText value="Option" />
					</f:facet>
					
					<p:commandLink value="Confirm Justification" action="#{absenceBean.justifiedHr(e)}" styleClass="btn btn-dribbble"  rendered="#{!e.isJustified()}"><h:commandLink action="/absencePageHr?faces-redirect=true"></h:commandLink></p:commandLink> 
					<p:commandLink value="Confirm Justification" action="#{absenceBean.justifiedHr(e)}" styleClass="btn btn-dribbble disabled"  rendered="#{e.isJustified()}"><h:commandLink action="/absencePageHr?faces-redirect=true"></h:commandLink></p:commandLink> 
				</h:column>
				
									</h:dataTable>
									</h:form>
								</div>
									
								
							</div>
						</div>
					</div>
						
				</div>
</ui:fragment>
		
			</div></div>
</div>

</body>
	
</html>
</ui:composition>


